package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.UserRoleData;
import com.sa.ibiz.demo.demo.service.dto.UserRoleDataSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[UserRoleData] 服务对象接口
 */
public interface UserRoleDataService extends IService<UserRoleData>{

	boolean remove(UserRoleData et);
	boolean update(UserRoleData et);
	boolean getDraft(UserRoleData et);
		UserRoleData get(UserRoleData et);
	boolean create(UserRoleData et);
	boolean checkKey(UserRoleData et);
    List<UserRoleData> listDefault(UserRoleDataSearchFilter filter) ;
	Page<UserRoleData> searchDefault(UserRoleDataSearchFilter filter);
	/**	 实体[UserRoleData] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }